diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/make.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/make.py
index b7da768fb3..3339cf6b0f 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/make.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/make.py
@@ -499,7 +499,7 @@ cmd_infoplist = $(CC.$(TOOLSET)) -E -P -Wno-trigraphs -x c $(INFOPLIST_DEFINES)
 
 
 def WriteRootHeaderSuffixRules(writer):
-  extensions = sorted(COMPILABLE_EXTENSIONS.keys(), key=str.lower)
+  extensions = sorted(list(COMPILABLE_EXTENSIONS.keys()), key=str.lower)
 
   writer.write('# Suffix rules, putting all outputs into $(obj).\n')
   for ext in extensions:
@@ -645,9 +645,9 @@ def _ValidateSourcesForOSX(spec, all_sources):
     basenames.setdefault(basename, []).append(source)
 
   error = ''
-  for basename, files in basenames.iteritems():
+  for basename, files in basenames.items():
     if len(files) > 1:
-      error += '  %s: %s\n' % (basename, ' '.join(files))
+      error += '  {}: {}\n'.format(basename, ' '.join(files))
 
   if error:
     print('static library %s has several files with the same basename:\n' %
@@ -665,7 +665,7 @@ target_outputs = {}
 target_link_deps = {}
 
 
-class MakefileWriter(object):
+class MakefileWriter:
   """MakefileWriter packages up the writing of one target-specific foobar.mk.
 
   Its only real entry point is Write(), and is mostly used for namespacing.
@@ -683,19 +683,19 @@ class MakefileWriter(object):
     for ext in COMPILABLE_EXTENSIONS.keys():
       # Suffix rules for source folder.
       self.suffix_rules_srcdir.update({ext: ("""\
-$(obj).$(TOOLSET)/$(TARGET)/%%.o: $(srcdir)/%%%s FORCE_DO_CMD
-	@$(call do_cmd,%s,1)
-""" % (ext, COMPILABLE_EXTENSIONS[ext]))})
+$(obj).$(TOOLSET)/$(TARGET)/%.o: $(srcdir)/%{} FORCE_DO_CMD
+	@$(call do_cmd,{},1)
+""".format(ext, COMPILABLE_EXTENSIONS[ext]))})
 
       # Suffix rules for generated source files.
       self.suffix_rules_objdir1.update({ext: ("""\
-$(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj).$(TOOLSET)/%%%s FORCE_DO_CMD
-	@$(call do_cmd,%s,1)
-""" % (ext, COMPILABLE_EXTENSIONS[ext]))})
+$(obj).$(TOOLSET)/$(TARGET)/%.o: $(obj).$(TOOLSET)/%{} FORCE_DO_CMD
+	@$(call do_cmd,{},1)
+""".format(ext, COMPILABLE_EXTENSIONS[ext]))})
       self.suffix_rules_objdir2.update({ext: ("""\
-$(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
-	@$(call do_cmd,%s,1)
-""" % (ext, COMPILABLE_EXTENSIONS[ext]))})
+$(obj).$(TOOLSET)/$(TARGET)/%.o: $(obj)/%{} FORCE_DO_CMD
+	@$(call do_cmd,{},1)
+""".format(ext, COMPILABLE_EXTENSIONS[ext]))})
 
 
   def Write(self, qualified_target, base_path, output_filename, spec, configs,
@@ -793,10 +793,10 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
           gyp.xcode_emulation.MacPrefixHeader(
               self.xcode_settings, lambda p: Sourceify(self.Absolutify(p)),
               self.Pchify))
-      sources = filter(Compilable, all_sources)
+      sources = list(filter(Compilable, all_sources))
       if sources:
         self.WriteLn(SHARED_HEADER_SUFFIX_RULES_COMMENT1)
-        extensions = set([os.path.splitext(s)[1] for s in sources])
+        extensions = {os.path.splitext(s)[1] for s in sources}
         for ext in extensions:
           if ext in self.suffix_rules_srcdir:
             self.WriteLn(self.suffix_rules_srcdir[ext])
@@ -854,7 +854,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     self.WriteLn('all:')
     if makefile_path:
       makefile_path = ' -C ' + makefile_path
-    self.WriteLn('\t$(MAKE)%s %s' % (makefile_path, ' '.join(targets)))
+    self.WriteLn('\t$(MAKE){} {}'.format(makefile_path, ' '.join(targets)))
     self.fp.close()
 
 
@@ -871,7 +871,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     """
     env = self.GetSortedXcodeEnv()
     for action in actions:
-      name = StringToMakefileVariable('%s_%s' % (self.qualified_target,
+      name = StringToMakefileVariable('{}_{}'.format(self.qualified_target,
                                                  action['action_name']))
       self.WriteLn('### Rules for action "%s":' % action['action_name'])
       inputs = action['inputs']
@@ -896,9 +896,9 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
                           for command in action_commands]
       command = gyp.common.EncodePOSIXShellList(action_commands)
       if 'message' in action:
-        self.WriteLn('quiet_cmd_%s = ACTION %s $@' % (name, action['message']))
+        self.WriteLn('quiet_cmd_{} = ACTION {} $@'.format(name, action['message']))
       else:
-        self.WriteLn('quiet_cmd_%s = ACTION %s $@' % (name, name))
+        self.WriteLn('quiet_cmd_{} = ACTION {} $@'.format(name, name))
       if len(dirs) > 0:
         command = 'mkdir -p %s' % ' '.join(dirs) + '; ' + command
 
@@ -922,7 +922,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
                    '%s%s'
                    % (name, cd_action, command))
       self.WriteLn()
-      outputs = map(self.Absolutify, outputs)
+      outputs = list(map(self.Absolutify, outputs))
       # The makefile rules are all relative to the top dir, but the gyp actions
       # are defined relative to their containing dir.  This replaces the obj
       # variable for the action rule with an absolute version so that the output
@@ -946,12 +946,12 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       outputs = [gyp.xcode_emulation.ExpandEnvVars(o, env) for o in outputs]
       inputs = [gyp.xcode_emulation.ExpandEnvVars(i, env) for i in inputs]
 
-      self.WriteDoCmd(outputs, map(Sourceify, map(self.Absolutify, inputs)),
+      self.WriteDoCmd(outputs, list(map(Sourceify, list(map(self.Absolutify, inputs)))),
                       part_of_all=part_of_all, command=name)
 
       # Stuff the outputs in a variable so we can refer to them later.
       outputs_variable = 'action_%s_outputs' % name
-      self.WriteLn('%s := %s' % (outputs_variable, ' '.join(outputs)))
+      self.WriteLn('{} := {}'.format(outputs_variable, ' '.join(outputs)))
       extra_outputs.append('$(%s)' % outputs_variable)
       self.WriteLn()
 
@@ -970,7 +970,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     """
     env = self.GetSortedXcodeEnv()
     for rule in rules:
-      name = StringToMakefileVariable('%s_%s' % (self.qualified_target,
+      name = StringToMakefileVariable('{}_{}'.format(self.qualified_target,
                                                  rule['rule_name']))
       count = 0
       self.WriteLn('### Generated for rule %s:' % name)
@@ -995,8 +995,8 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
           extra_sources += outputs
         if int(rule.get('process_outputs_as_mac_bundle_resources', False)):
           extra_mac_bundle_resources += outputs
-        inputs = map(Sourceify, map(self.Absolutify, [rule_source] +
-                                    rule.get('inputs', [])))
+        inputs = list(map(Sourceify, list(map(self.Absolutify, [rule_source] +
+                                    rule.get('inputs', [])))))
         actions = ['$(call do_cmd,%s_%d)' % (name, count)]
 
         if name == 'resources_grit':
@@ -1012,7 +1012,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         outputs = [gyp.xcode_emulation.ExpandEnvVars(o, env) for o in outputs]
         inputs = [gyp.xcode_emulation.ExpandEnvVars(i, env) for i in inputs]
 
-        outputs = map(self.Absolutify, outputs)
+        outputs = list(map(self.Absolutify, outputs))
         all_outputs += outputs
         # Only write the 'obj' and 'builddir' rules for the "primary" output
         # (:1); it's superfluous for the "extra outputs", and this avoids
@@ -1119,7 +1119,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         path = gyp.xcode_emulation.ExpandEnvVars(path, env)
         self.WriteDoCmd([output], [path], 'copy', part_of_all)
         outputs.append(output)
-    self.WriteLn('%s = %s' % (variable, ' '.join(map(QuoteSpaces, outputs))))
+    self.WriteLn('{} = {}'.format(variable, ' '.join(map(QuoteSpaces, outputs))))
     extra_outputs.append('$(%s)' % variable)
     self.WriteLn()
 
@@ -1130,7 +1130,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
 
     for output, res in gyp.xcode_emulation.GetMacBundleResources(
         generator_default_variables['PRODUCT_DIR'], self.xcode_settings,
-        map(Sourceify, map(self.Absolutify, resources))):
+        list(map(Sourceify, list(map(self.Absolutify, resources))))):
       _, ext = os.path.splitext(output)
       if ext != '.xcassets':
         # Make does not supports '.xcassets' emulation.
@@ -1210,11 +1210,11 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         self.WriteList(cflags_objcc, 'CFLAGS_OBJCC_%s' % configname)
       includes = config.get('include_dirs')
       if includes:
-        includes = map(Sourceify, map(self.Absolutify, includes))
+        includes = list(map(Sourceify, list(map(self.Absolutify, includes))))
       self.WriteList(includes, 'INCS_%s' % configname, prefix='-I')
 
-    compilable = filter(Compilable, sources)
-    objs = map(self.Objectify, map(self.Absolutify, map(Target, compilable)))
+    compilable = list(filter(Compilable, sources))
+    objs = list(map(self.Objectify, list(map(self.Absolutify, list(map(Target, compilable))))))
     self.WriteList(objs, 'OBJS')
 
     for obj in objs:
@@ -1245,7 +1245,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     if pchdeps:
       self.WriteLn('# Dependencies from obj files to their precompiled headers')
       for source, obj, gch in pchdeps:
-        self.WriteLn('%s: %s' % (obj, gch))
+        self.WriteLn('{}: {}'.format(obj, gch))
       self.WriteLn('# End precompiled header dependencies')
 
     if objs:
@@ -1286,7 +1286,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
 
     # If there are any object files in our input file list, link them into our
     # output.
-    extra_link_deps += filter(Linkable, sources)
+    extra_link_deps += list(filter(Linkable, sources))
 
     self.WriteLn()
 
@@ -1308,13 +1308,13 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         'm': 'GYP_PCH_OBJCFLAGS',
         'mm': 'GYP_PCH_OBJCXXFLAGS',
       }[lang]
-      self.WriteLn("%s: %s := %s " % (gch, var_name, lang_flag) +
+      self.WriteLn("{}: {} := {} ".format(gch, var_name, lang_flag) +
                    "$(DEFS_$(BUILDTYPE)) "
                    "$(INCS_$(BUILDTYPE)) "
                    "$(CFLAGS_$(BUILDTYPE)) " +
                    extra_flags)
 
-      self.WriteLn('%s: %s FORCE_DO_CMD' % (gch, input))
+      self.WriteLn('{}: {} FORCE_DO_CMD'.format(gch, input))
       self.WriteLn('\t@$(call do_cmd,pch_%s,1)' % lang)
       self.WriteLn('')
       assert ' ' not in gch, (
@@ -1351,8 +1351,8 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     elif self.type == 'none':
       target = '%s.stamp' % target
     elif self.type != 'executable':
-      print ("ERROR: What output file should be generated?",
-             "type", self.type, "target", target)
+      print(("ERROR: What output file should be generated?",
+             "type", self.type, "target", target))
 
     target_prefix = spec.get('product_prefix', target_prefix)
     target = spec.get('product_name', target)
@@ -1516,11 +1516,11 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       # Postbuilds expect to be run in the gyp file's directory, so insert an
       # implicit postbuild to cd to there.
       postbuilds.insert(0, gyp.common.EncodePOSIXShellList(['cd', self.path]))
-      for i in xrange(len(postbuilds)):
+      for i in range(len(postbuilds)):
         if not postbuilds[i].startswith('$'):
           postbuilds[i] = EscapeShellArgument(postbuilds[i])
       self.WriteLn('%s: builddir := $(abs_builddir)' % QuoteSpaces(self.output))
-      self.WriteLn('%s: POSTBUILDS := %s' % (
+      self.WriteLn('{}: POSTBUILDS := {}'.format(
           QuoteSpaces(self.output), ' '.join(postbuilds)))
 
     # A bundle directory depends on its dependencies such as bundle resources
@@ -1533,7 +1533,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
 
       # Bundle dependencies. Note that the code below adds actions to this
       # target, so if you move these two lines, move the lines below as well.
-      self.WriteList(map(QuoteSpaces, bundle_deps), 'BUNDLE_DEPS')
+      self.WriteList(list(map(QuoteSpaces, bundle_deps)), 'BUNDLE_DEPS')
       self.WriteLn('%s: $(BUNDLE_DEPS)' % QuoteSpaces(self.output))
 
       # After the framework is built, package it. Needs to happen before
@@ -1565,7 +1565,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
           'custom product_dir')
 
     if self.type == 'executable':
-      self.WriteLn('%s: LD_INPUTS := %s' % (
+      self.WriteLn('{}: LD_INPUTS := {}'.format(
           QuoteSpaces(self.output_binary),
           ' '.join(map(QuoteSpaces, link_deps))))
       if self.toolset == 'host' and self.flavor == 'android':
@@ -1587,7 +1587,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         self.WriteDoCmd([self.output_binary], link_deps, 'alink', part_of_all,
                         postbuilds=postbuilds)
     elif self.type == 'shared_library':
-      self.WriteLn('%s: LD_INPUTS := %s' % (
+      self.WriteLn('{}: LD_INPUTS := {}'.format(
             QuoteSpaces(self.output_binary),
             ' '.join(map(QuoteSpaces, link_deps))))
       self.WriteDoCmd([self.output_binary], link_deps, 'solink', part_of_all,
@@ -1608,7 +1608,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       self.WriteDoCmd([self.output_binary], deps, 'touch', part_of_all,
                       postbuilds=postbuilds)
     else:
-      print "WARNING: no output for", self.type, target
+      print("WARNING: no output for", self.type, target)
 
     # Add an alias for each target (if there are any outputs).
     # Installable target aliases are created below.
@@ -1638,7 +1638,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       if (self.flavor == 'mac' and not 'product_dir' in spec and
           self.toolset == 'target'):
         # On mac, products are created in install_path immediately.
-        assert install_path == self.output, '%s != %s' % (
+        assert install_path == self.output, '{} != {}'.format(
             install_path, self.output)
 
       # Point the target alias to the final binary output.
@@ -1672,7 +1672,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     if value_list:
       value_list = [quoter(prefix + l) for l in value_list]
       values = ' \\\n\t' + ' \\\n\t'.join(value_list)
-    self.fp.write('%s :=%s\n\n' % (variable, values))
+    self.fp.write('{} :={}\n\n'.format(variable, values))
 
 
   def WriteDoCmd(self, outputs, inputs, command, part_of_all, comment=None,
@@ -1687,7 +1687,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       assert ',' not in command
       suffix = ',,1'  # Tell do_cmd to honor $POSTBUILDS
     self.WriteMakeRule(outputs, inputs,
-                       actions = ['$(call do_cmd,%s%s)' % (command, suffix)],
+                       actions = ['$(call do_cmd,{}{})'.format(command, suffix)],
                        comment = comment,
                        command = command,
                        force = True)
@@ -1715,8 +1715,8 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
            output is just a name to run the rule
     command: (optional) command name to generate unambiguous labels
     """
-    outputs = map(QuoteSpaces, outputs)
-    inputs = map(QuoteSpaces, inputs)
+    outputs = list(map(QuoteSpaces, outputs))
+    inputs = list(map(QuoteSpaces, inputs))
 
     if comment:
       self.WriteLn('# ' + comment)
@@ -1733,7 +1733,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
                    (' '.join(outputs), ' '.join(inputs), force_append))
     elif len(outputs) == 1:
       # Regular rule, one output: Just write a simple rule.
-      self.WriteLn('%s: %s%s' % (outputs[0], ' '.join(inputs), force_append))
+      self.WriteLn('{}: {}{}'.format(outputs[0], ' '.join(inputs), force_append))
     else:
       # Regular rule, more than one output: Multiple outputs are tricky in
       # make. We will write three rules:
@@ -1744,9 +1744,9 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       # - The intermediate recipe will 'touch' the intermediate file.
       # - The multi-output rule will have an do-nothing recipe.
       intermediate = "%s.intermediate" % (command if command else self.target)
-      self.WriteLn('%s: %s' % (' '.join(outputs), intermediate))
+      self.WriteLn('{}: {}'.format(' '.join(outputs), intermediate))
       self.WriteLn('\t%s' % '@:');
-      self.WriteLn('%s: %s' % ('.INTERMEDIATE', intermediate))
+      self.WriteLn('{}: {}'.format('.INTERMEDIATE', intermediate))
       self.WriteLn('%s: %s%s' %
                    (intermediate, ' '.join(inputs), force_append))
       actions.insert(0, '$(call do_cmd,touch)')
@@ -1802,7 +1802,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
           default_cpp_ext = ext
     self.WriteLn('LOCAL_CPP_EXTENSION := ' + default_cpp_ext)
 
-    self.WriteList(map(self.Absolutify, filter(Compilable, all_sources)),
+    self.WriteList(list(map(self.Absolutify, list(filter(Compilable, all_sources)))),
                    'LOCAL_SRC_FILES')
 
     # Filter out those which do not match prefix and suffix and produce
@@ -1870,7 +1870,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       #  export foo := a\ b
       # it does not -- the backslash is written to the env as literal character.
       # So don't escape spaces in |env[k]|.
-      self.WriteLn('%s: export %s := %s' % (QuoteSpaces(target), k, v))
+      self.WriteLn('{}: export {} := {}'.format(QuoteSpaces(target), k, v))
 
 
   def Objectify(self, path):
@@ -1878,7 +1878,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
     if '$(' in path:
       path = path.replace('$(obj)/', '$(obj).%s/$(TARGET)/' % self.toolset)
     if not '$(obj)' in path:
-      path = '$(obj).%s/$(TARGET)/%s' % (self.toolset, path)
+      path = '$(obj).{}/$(TARGET)/{}'.format(self.toolset, path)
     return path
 
 
@@ -1889,7 +1889,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
       path = path.replace('$(obj)/', '$(obj).%s/$(TARGET)/pch-%s' %
                           (self.toolset, lang))
       return path
-    return '$(obj).%s/$(TARGET)/pch-%s/%s' % (self.toolset, lang, path)
+    return '$(obj).{}/$(TARGET)/pch-{}/{}'.format(self.toolset, lang, path)
 
 
   def Absolutify(self, path):
@@ -1921,7 +1921,7 @@ $(obj).$(TOOLSET)/$(TARGET)/%%.o: $(obj)/%%%s FORCE_DO_CMD
         (self.flavor != 'mac' or self.toolset != 'target')):
       # Install all shared libs into a common directory (per toolset) for
       # convenient access with LD_LIBRARY_PATH.
-      return '$(builddir)/lib.%s/%s' % (self.toolset, self.alias)
+      return '$(builddir)/lib.{}/{}'.format(self.toolset, self.alias)
     return '$(builddir)/' + self.alias
 
 
@@ -1957,7 +1957,7 @@ def PerformBuild(data, configurations, params):
     if options.toplevel_dir and options.toplevel_dir != '.':
       arguments += '-C', options.toplevel_dir
     arguments.append('BUILDTYPE=' + config)
-    print 'Building [%s]: %s' % (config, arguments)
+    print('Building [{}]: {}'.format(config, arguments))
     subprocess.check_call(arguments)
 
 
@@ -1990,7 +1990,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
   # away when we add verification that all targets have the
   # necessary configurations.
   default_configuration = None
-  toolsets = set([target_dicts[target]['toolset'] for target in target_list])
+  toolsets = {target_dicts[target]['toolset'] for target in target_list}
   for target in target_list:
     spec = target_dicts[target]
     if spec['default_configuration'] != 'Default':
@@ -2083,7 +2083,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
       value = '$(abspath %s)' % value
     wrapper = wrappers.get(key)
     if wrapper:
-      value = '%s %s' % (wrapper, value)
+      value = '{} {}'.format(wrapper, value)
       del wrappers[key]
     if key in ('CC', 'CC.host', 'CXX', 'CXX.host'):
       make_global_settings += (
@@ -2092,10 +2092,10 @@ def GenerateOutput(target_list, target_dicts, data, params):
       env_key = key.replace('.', '_')  # CC.host -> CC_host
       if env_key in os.environ:
         value = os.environ[env_key]
-      make_global_settings += '  %s = %s\n' % (key, value)
+      make_global_settings += '  {} = {}\n'.format(key, value)
       make_global_settings += 'endif\n'
     else:
-      make_global_settings += '%s ?= %s\n' % (key, value)
+      make_global_settings += '{} ?= {}\n'.format(key, value)
   # TODO(ukai): define cmd when only wrapper is specified in
   # make_global_settings.
 
